﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.4.3.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.4.3.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = 'cad793895b258929ee796ef9ea77855626740ecd'
  checksumType  = 'sha1' 
  checksum64    = '5e7c6cb012cbf09242b040b84b78b5e52d980337'
  checksumType64= 'sha1' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
